## ros-iron-rosbag2-py 0.22.3

=== debian/changelog ===
ros-iron-rosbag2-py (0.22.3-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-rosbag2-py (0.22.2-1jammy) jammy; urgency=high

  * Gracefully handle SIGINT and SIGTERM in rosbag2 recorder (#1394 <https://github.com/ros2/rosbag2/issues/1394>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rosbag2-py (0.22.1-1jammy) jammy; urgency=high

  * Add binding to close the writer (#1339 <https://github.com/ros2/rosbag2/issues/1339>) (#1340 <https://github.com/ros2/rosbag2/issues/1340>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 May 2023 16:00:00 -0000

ros-iron-rosbag2-py (0.22.0-1jammy) jammy; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Store message definitions in SQLite3 storage plugin (#1293 <https://github.com/ros2/rosbag2/issues/1293>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Contributors: Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-rosbag2-py (0.21.0-1jammy) jammy; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rosbag2-py (0.20.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rosbag2-py (0.19.0-1jammy) jammy; urgency=high

  * Expose more Writer methods in python interface (#1220 <https://github.com/ros2/rosbag2/issues/1220>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * rosbag2_py: parametrize tests across storage plugins (#1203 <https://github.com/ros2/rosbag2/issues/1203>)
  * Added option to change node name for the recorder from the Python API (#1180 <https://github.com/ros2/rosbag2/issues/1180>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Move python get_default_storage_id to storage module instead of writer (#1165 <https://github.com/ros2/rosbag2/issues/1165>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms, ricardo-manriquez

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 12 Jan 2023 16:00:00 -0000

ros-iron-rosbag2-py (0.18.0-1jammy) jammy; urgency=high

  * rosbag2_storage: expose default storage ID as method (#1146 <https://github.com/ros2/rosbag2/issues/1146>)
  * rosbag2_py: set defaults for config when bag rewriting (#1121 <https://github.com/ros2/rosbag2/issues/1121>)
  * Reverse read order API and sqlite storage implementation (#1083 <https://github.com/ros2/rosbag2/issues/1083>)
  * expose py Reader metadata, improve rosbag2_py.BagMetadata usability (#1082 <https://github.com/ros2/rosbag2/issues/1082>)
  * Added support for excluding topics via regular expressions (#1046 <https://github.com/ros2/rosbag2/issues/1046>)
  * Contributors: Emerson Knapp, Esteve Fernandez, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 14 Nov 2022 16:00:00 -0000

ros-iron-rosbag2-py (0.17.0-1jammy) jammy; urgency=high

  * Use a single variable for evaluating the filter regex (#1053 <https://github.com/ros2/rosbag2/issues/1053>)
  * Add additional mode of publishing sim time updates triggered by replayed messages (#1050 <https://github.com/ros2/rosbag2/issues/1050>)
  * Renamed --topics-regex to --regex and -e in Player class to be consistent with Recorder (#1045 <https://github.com/ros2/rosbag2/issues/1045>)
  * Add the ability to record any key/value pair in 'custom' field in metadata.yaml (#1038 <https://github.com/ros2/rosbag2/issues/1038>)
  * Added support for filtering topics via regular expressions on Playback (#1034 <https://github.com/ros2/rosbag2/issues/1034>)
  * Adds play until timestamp functionality (#1005 <https://github.com/ros2/rosbag2/issues/1005>)
  * Add CLI verb for burst mode of playback (#980 <https://github.com/ros2/rosbag2/issues/980>)
  * Add play-for specified number of seconds functionality (#960 <https://github.com/ros2/rosbag2/issues/960>)
  * Contributors: Agustin Alba Chicar, Esteve Fernandez, Geoffrey Biggs, Hunter L. Allen, kylemarcey, Michael Orlov, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 29 Jul 2022 16:00:00 -0000

ros-iron-rosbag2-py (0.16.0-1jammy) jammy; urgency=high

  * Make unpublished topics unrecorded by default (#968 <https://github.com/ros2/rosbag2/issues/968>)
  * Fix test rosbag2_py test compatibility with Python < 3.8 (#987 <https://github.com/ros2/rosbag2/issues/987>)
  * Contributors: Michael Orlov, Scott K Logan, Sean Kelly

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-iron-rosbag2-py (0.15.1-1jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)

