=== debian/control ===
Source: ros-iron-rosbag2-py
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-ament-cmake-python, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-pybind11-vendor, ros-iron-python-cmake-module, ros-iron-rcl-interfaces <!nocheck>, ros-iron-rclpy <!nocheck>, ros-iron-rosbag2-compression, ros-iron-rosbag2-cpp, ros-iron-rosbag2-storage, ros-iron-rosbag2-storage-default-plugins <!nocheck>, ros-iron-rosbag2-test-common <!nocheck>, ros-iron-rosbag2-transport, ros-iron-rosidl-runtime-py <!nocheck>, ros-iron-std-msgs <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosbag2-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-pybind11-vendor, ros-iron-rosbag2-compression, ros-iron-rosbag2-cpp, ros-iron-rosbag2-storage, ros-iron-rosbag2-transport, ros-iron-rpyutils, ros-iron-ros-workspace
Description: Python API for rosbag2
